import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema';
import { CommissionBatchOrderByWithRelationInputObjectSchema as CommissionBatchOrderByWithRelationInputObjectSchema } from './CommissionBatchOrderByWithRelationInput.schema';
import { PaymentOrderByWithRelationInputObjectSchema as PaymentOrderByWithRelationInputObjectSchema } from './PaymentOrderByWithRelationInput.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  commissionBatchId: SortOrderSchema.optional(),
  paymentId: SortOrderSchema.optional(),
  collectionAmount: SortOrderSchema.optional(),
  commissionBatch: z.lazy(() => CommissionBatchOrderByWithRelationInputObjectSchema).optional(),
  payment: z.lazy(() => PaymentOrderByWithRelationInputObjectSchema).optional()
}).strict();
export const CommissionBatchItemOrderByWithRelationInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemOrderByWithRelationInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemOrderByWithRelationInput>;
export const CommissionBatchItemOrderByWithRelationInputObjectZodSchema = makeSchema();
